Skip to navigation

Get Additional Requirements

View as Markdown

Get Additional Requirements is an authenticated API call that dynamically returns the KYC forms a user needs to complete based on the quote ID. Since Transak supports multi-level KYC across different countries, this API helps determine the additional KYC requirements for a user before proceeding with transactions.
The quote ID must be passed when calling this API, as it determines the required KYC level (Simple KYC, Standard KYC, etc.). The response includes a list of required KYC forms, such as:

  • Purpose of Usage (PURPOSE_OF_USAGE) → Required for compliance with Transak’s regulations.
  • ID Proof (IDPROOF) → Only required for Standard KYC. If the user is under Simple KYC, ID proof is not required.
  • SSN (US_SSN) → Only required for US users.
  • FCA (FCA) → Only required for UK users. The metadata.status field shows the next pending FCA step.
  • Source of Income (SOURCE_OF_INCOME) → Required for Enhanced KYC to capture the user’s primary income source.
  • Document Proof (DOCUMENT_PROOF) → Required for Enhanced KYC to upload a supporting document for the selected income source.

Multiple forms can be returned and must be submitted in the sequence provided in the response.

As per the quote ID, the system dynamically returns the appropriate KYC forms for the user to complete.
Example Usage

Headers

x-user-ipstringRequired

End user’s originating IP. More details here

x-api-keystringRequired
Partner API Key present in Transak Dashboard.
authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Query parameters

metadata[quoteId]stringRequired

Quote Id generated from api/v2/lookup/quotes

apiKeystringRequired
Your API key from the Transak Dashboard.

Response

200 - With Documents Proof

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error